
package com.fourcatsdev.correiosweb.servico;

import java.util.List;
import javax.xml.datatype.XMLGregorianCalendar;
import jakarta.jws.WebMethod;
import jakarta.jws.WebParam;
import jakarta.jws.WebResult;
import jakarta.jws.WebService;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.ws.RequestWrapper;
import jakarta.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 3.0.0
 * Generated source version: 3.0
 * 
 */
@WebService(name = "AtendeCliente", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface AtendeCliente {


    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<com.fourcatsdev.correiosweb.servico.ServicoAdicionalXML>
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaServicosAdicionaisAtivos", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosAdicionaisAtivos")
    @ResponseWrapper(localName = "buscaServicosAdicionaisAtivosResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosAdicionaisAtivosResponse")
    public List<ServicoAdicionalXML> buscaServicosAdicionaisAtivos(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param xml
     * @param cartaoPostagem
     * @param usuario
     * @param faixaEtiquetas
     * @param idPlpCliente
     * @return
     *     returns java.lang.Long
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "fechaPlp", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.FechaPlp")
    @ResponseWrapper(localName = "fechaPlpResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.FechaPlpResponse")
    public Long fechaPlp(
        @WebParam(name = "xml", targetNamespace = "")
        String xml,
        @WebParam(name = "idPlpCliente", targetNamespace = "")
        Long idPlpCliente,
        @WebParam(name = "cartaoPostagem", targetNamespace = "")
        String cartaoPostagem,
        @WebParam(name = "faixaEtiquetas", targetNamespace = "")
        String faixaEtiquetas,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param cliente
     * @param unidadePostagem
     * @param senha
     * @param cartao
     * @param numero
     * @param servicosAdicionais
     * @param diretoria
     * @param usuario
     * @param servico
     * @return
     *     returns boolean
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "validaPlp", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidaPlp")
    @ResponseWrapper(localName = "validaPlpResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidaPlpResponse")
    public boolean validaPlp(
        @WebParam(name = "cliente", targetNamespace = "")
        long cliente,
        @WebParam(name = "numero", targetNamespace = "")
        String numero,
        @WebParam(name = "diretoria", targetNamespace = "")
        long diretoria,
        @WebParam(name = "cartao", targetNamespace = "")
        String cartao,
        @WebParam(name = "unidadePostagem", targetNamespace = "")
        String unidadePostagem,
        @WebParam(name = "servico", targetNamespace = "")
        Long servico,
        @WebParam(name = "servicosAdicionais", targetNamespace = "")
        List<String> servicosAdicionais,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param codFormato
     * @param codServico
     * @param largura
     * @param diametro
     * @param peso
     * @param cepDestino
     * @param codAvisoRecebimento
     * @param senha
     * @param codAdministrativo
     * @param altura
     * @param cepOrigem
     * @param comprimento
     * @param valorDeclarado
     * @param usuario
     * @param codMaoPropria
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws Exception_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "calculaTarifaServico", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CalculaTarifaServico")
    @ResponseWrapper(localName = "calculaTarifaServicoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CalculaTarifaServicoResponse")
    public String calculaTarifaServico(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        String codAdministrativo,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha,
        @WebParam(name = "codServico", targetNamespace = "")
        String codServico,
        @WebParam(name = "cepOrigem", targetNamespace = "")
        String cepOrigem,
        @WebParam(name = "cepDestino", targetNamespace = "")
        String cepDestino,
        @WebParam(name = "peso", targetNamespace = "")
        String peso,
        @WebParam(name = "codFormato", targetNamespace = "")
        Integer codFormato,
        @WebParam(name = "comprimento", targetNamespace = "")
        Double comprimento,
        @WebParam(name = "altura", targetNamespace = "")
        Double altura,
        @WebParam(name = "largura", targetNamespace = "")
        Double largura,
        @WebParam(name = "diametro", targetNamespace = "")
        Double diametro,
        @WebParam(name = "codMaoPropria", targetNamespace = "")
        String codMaoPropria,
        @WebParam(name = "valorDeclarado", targetNamespace = "")
        Double valorDeclarado,
        @WebParam(name = "codAvisoRecebimento", targetNamespace = "")
        String codAvisoRecebimento)
        throws AutenticacaoException, Exception_Exception, SigepClienteException
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws SigepClienteException
     */
    @WebMethod(operationName = "VerificaSeTodosObjetosCancelados")
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "VerificaSeTodosObjetosCancelados", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaSeTodosObjetosCancelados")
    @ResponseWrapper(localName = "VerificaSeTodosObjetosCanceladosResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaSeTodosObjetosCanceladosResponse")
    public boolean verificaSeTodosObjetosCancelados(
        @WebParam(name = "arg0", targetNamespace = "")
        List<ObjetoPostal> arg0)
        throws SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param numeroEtiqueta
     * @param idPlp
     * @return
     *     returns java.lang.Boolean
     * @throws AutenticacaoException
     * @throws Exception_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "cancelarObjeto", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CancelarObjeto")
    @ResponseWrapper(localName = "cancelarObjetoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CancelarObjetoResponse")
    public Boolean cancelarObjeto(
        @WebParam(name = "idPlp", targetNamespace = "")
        Long idPlp,
        @WebParam(name = "numeroEtiqueta", targetNamespace = "")
        String numeroEtiqueta,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, Exception_Exception, SigepClienteException
    ;

    /**
     * 
     * @param prefix
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.DimensaoTO
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "pesquisarParametrosPorDescricao", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarParametrosPorDescricao")
    @ResponseWrapper(localName = "pesquisarParametrosPorDescricaoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarParametrosPorDescricaoResponse")
    public DimensaoTO pesquisarParametrosPorDescricao(
        @WebParam(name = "prefix", targetNamespace = "")
        String prefix);

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.lang.String
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "atualizaPagamentoNaEntrega", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.AtualizaPagamentoNaEntrega")
    @ResponseWrapper(localName = "atualizaPagamentoNaEntregaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.AtualizaPagamentoNaEntregaResponse")
    public String atualizaPagamentoNaEntrega(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param cnpjCliente
     * @param usuario
     * @return
     *     returns javax.xml.datatype.XMLGregorianCalendar
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterClienteAtualizacao", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterClienteAtualizacao")
    @ResponseWrapper(localName = "obterClienteAtualizacaoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterClienteAtualizacaoResponse")
    public XMLGregorianCalendar obterClienteAtualizacao(
        @WebParam(name = "cnpjCliente", targetNamespace = "")
        String cnpjCliente,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param codAdministrativo
     * @param cepOrigem
     * @param usuario
     * @param numeroServico
     * @param cepDestino
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "verificaDisponibilidadeServico", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaDisponibilidadeServico")
    @ResponseWrapper(localName = "verificaDisponibilidadeServicoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaDisponibilidadeServicoResponse")
    public String verificaDisponibilidadeServico(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        Integer codAdministrativo,
        @WebParam(name = "numeroServico", targetNamespace = "")
        String numeroServico,
        @WebParam(name = "cepOrigem", targetNamespace = "")
        String cepOrigem,
        @WebParam(name = "cepDestino", targetNamespace = "")
        String cepDestino,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param listaEtiquetas
     * @param senha
     * @param xml
     * @param cartaoPostagem
     * @param usuario
     * @param idPlpCliente
     * @return
     *     returns java.lang.Long
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "fechaPlpVariosServicos", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.FechaPlpVariosServicos")
    @ResponseWrapper(localName = "fechaPlpVariosServicosResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.FechaPlpVariosServicosResponse")
    public Long fechaPlpVariosServicos(
        @WebParam(name = "xml", targetNamespace = "")
        String xml,
        @WebParam(name = "idPlpCliente", targetNamespace = "")
        Long idPlpCliente,
        @WebParam(name = "cartaoPostagem", targetNamespace = "")
        String cartaoPostagem,
        @WebParam(name = "listaEtiquetas", targetNamespace = "")
        List<String> listaEtiquetas,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param etiquetas
     * @param usuario
     * @return
     *     returns java.util.List<java.lang.Integer>
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "geraDigitoVerificadorEtiquetas", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GeraDigitoVerificadorEtiquetas")
    @ResponseWrapper(localName = "geraDigitoVerificadorEtiquetasResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GeraDigitoVerificadorEtiquetasResponse")
    public List<Integer> geraDigitoVerificadorEtiquetas(
        @WebParam(name = "etiquetas", targetNamespace = "")
        List<String> etiquetas,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @return
     *     returns java.util.List<com.fourcatsdev.correiosweb.servico.EmbalagemLRSMaster>
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterEmbalagemLRS", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterEmbalagemLRS")
    @ResponseWrapper(localName = "obterEmbalagemLRSResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterEmbalagemLRSResponse")
    public List<EmbalagemLRSMaster> obterEmbalagemLRS()
        throws SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @param numeroEtiqueta
     * @param idPlp
     * @return
     *     returns boolean
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "validaEtiquetaPLP", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidaEtiquetaPLP")
    @ResponseWrapper(localName = "validaEtiquetaPLPResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidaEtiquetaPLPResponse")
    public boolean validaEtiquetaPLP(
        @WebParam(name = "numeroEtiqueta", targetNamespace = "")
        String numeroEtiqueta,
        @WebParam(name = "idPlp", targetNamespace = "")
        Long idPlp,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaServicosValorDeclarado", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosValorDeclarado")
    @ResponseWrapper(localName = "buscaServicosValorDeclaradoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosValorDeclaradoResponse")
    public List<String> buscaServicosValorDeclarado(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param cep
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.EnderecoERP
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "consultaCEP", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ConsultaCEP")
    @ResponseWrapper(localName = "consultaCEPResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ConsultaCEPResponse")
    public EnderecoERP consultaCEP(
        @WebParam(name = "cep", targetNamespace = "")
        String cep)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param codAdministrativo
     * @param usuario
     * @return
     *     returns java.lang.Boolean
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "integrarUsuarioScol", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.IntegrarUsuarioScol")
    @ResponseWrapper(localName = "integrarUsuarioScolResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.IntegrarUsuarioScolResponse")
    public Boolean integrarUsuarioScol(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        Integer codAdministrativo,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param codigo
     * @param embalagem
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.DimensaoTO
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "pesquisarDimensoesServico", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarDimensoesServico")
    @ResponseWrapper(localName = "pesquisarDimensoesServicoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarDimensoesServicoResponse")
    public DimensaoTO pesquisarDimensoesServico(
        @WebParam(name = "codigo", targetNamespace = "")
        String codigo,
        @WebParam(name = "embalagem", targetNamespace = "")
        String embalagem);

    /**
     * 
     * @param codigo
     * @return
     *     returns java.util.List<com.fourcatsdev.correiosweb.servico.TipoEmbalagem>
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "pesquisarEmbalagensPorServico", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarEmbalagensPorServico")
    @ResponseWrapper(localName = "pesquisarEmbalagensPorServicoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarEmbalagensPorServicoResponse")
    public List<TipoEmbalagem> pesquisarEmbalagensPorServico(
        @WebParam(name = "codigo", targetNamespace = "")
        String codigo);

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.lang.String
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "atualizaRemessaAgrupada", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.AtualizaRemessaAgrupada")
    @ResponseWrapper(localName = "atualizaRemessaAgrupadaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.AtualizaRemessaAgrupadaResponse")
    public String atualizaRemessaAgrupada(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param idPlpMaster
     * @param senha
     * @param numEtiqueta
     * @param usuario
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "solicitaPLP", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaPLP")
    @ResponseWrapper(localName = "solicitaPLPResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaPLPResponse")
    public String solicitaPLP(
        @WebParam(name = "idPlpMaster", targetNamespace = "")
        Long idPlpMaster,
        @WebParam(name = "numEtiqueta", targetNamespace = "")
        String numEtiqueta,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param numeroCartaoPostagem
     * @param usuario
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.StatusCartao
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getStatusCartaoPostagem", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GetStatusCartaoPostagem")
    @ResponseWrapper(localName = "getStatusCartaoPostagemResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GetStatusCartaoPostagemResponse")
    public StatusCartao getStatusCartaoPostagem(
        @WebParam(name = "numeroCartaoPostagem", targetNamespace = "")
        String numeroCartaoPostagem,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param codigoServico
     * @param cepOrigem
     * @param usuario
     * @param cepDestino
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "verificaModalTransporte", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaModalTransporte")
    @ResponseWrapper(localName = "verificaModalTransporteResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.VerificaModalTransporteResponse")
    public String verificaModalTransporte(
        @WebParam(name = "codigoServico", targetNamespace = "")
        String codigoServico,
        @WebParam(name = "cepOrigem", targetNamespace = "")
        String cepOrigem,
        @WebParam(name = "cepDestino", targetNamespace = "")
        String cepDestino,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @return
     *     returns javax.xml.datatype.XMLGregorianCalendar
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaDataAtual", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaDataAtual")
    @ResponseWrapper(localName = "buscaDataAtualResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaDataAtualResponse")
    public XMLGregorianCalendar buscaDataAtual();

    /**
     * 
     * @param codFormato
     * @param servicoAdicional
     * @param codServico
     * @param largura
     * @param peso
     * @param cepDestino
     * @param senha
     * @param codAdministrativo
     * @param altura
     * @param cepOrigem
     * @param comprimento
     * @param valorDeclarado
     * @param usuario
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.ValePostal
     * @throws AutenticacaoException
     * @throws Exception_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaTarifaVale", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaTarifaVale")
    @ResponseWrapper(localName = "buscaTarifaValeResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaTarifaValeResponse")
    public ValePostal buscaTarifaVale(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        String codAdministrativo,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha,
        @WebParam(name = "codServico", targetNamespace = "")
        String codServico,
        @WebParam(name = "cepOrigem", targetNamespace = "")
        String cepOrigem,
        @WebParam(name = "cepDestino", targetNamespace = "")
        String cepDestino,
        @WebParam(name = "peso", targetNamespace = "")
        String peso,
        @WebParam(name = "codFormato", targetNamespace = "")
        Integer codFormato,
        @WebParam(name = "comprimento", targetNamespace = "")
        Double comprimento,
        @WebParam(name = "altura", targetNamespace = "")
        Double altura,
        @WebParam(name = "largura", targetNamespace = "")
        Double largura,
        @WebParam(name = "valorDeclarado", targetNamespace = "")
        Double valorDeclarado,
        @WebParam(name = "servicoAdicional", targetNamespace = "")
        String servicoAdicional)
        throws AutenticacaoException, Exception_Exception, SigepClienteException
    ;

    /**
     * 
     * @param idCartaoPostagem
     * @param senha
     * @param codAdministrativo
     * @param codigoServico
     * @param cepDestinatario
     * @param usuario
     * @param coleta
     * @return
     *     returns java.lang.Boolean
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "validarPostagemSimultanea", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidarPostagemSimultanea")
    @ResponseWrapper(localName = "validarPostagemSimultaneaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidarPostagemSimultaneaResponse")
    public Boolean validarPostagemSimultanea(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        Integer codAdministrativo,
        @WebParam(name = "codigoServico", targetNamespace = "")
        Integer codigoServico,
        @WebParam(name = "idCartaoPostagem", targetNamespace = "")
        String idCartaoPostagem,
        @WebParam(name = "cepDestinatario", targetNamespace = "")
        String cepDestinatario,
        @WebParam(name = "coleta", targetNamespace = "")
        ColetaSimultanea coleta,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param arg1
     * @param arg0
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.StatusPlp
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getStatusPLP", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GetStatusPLP")
    @ResponseWrapper(localName = "getStatusPLPResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.GetStatusPLPResponse")
    public StatusPlp getStatusPLP(
        @WebParam(name = "arg0", targetNamespace = "")
        List<ObjetoPostal> arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        String arg1)
        throws SigepClienteException
    ;

    /**
     * 
     * @param codigo
     * @return
     *     returns java.util.List<com.fourcatsdev.correiosweb.servico.ServicoAdicionalTO>
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "pesquisarServicosAdicionais", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarServicosAdicionais")
    @ResponseWrapper(localName = "pesquisarServicosAdicionaisResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.PesquisarServicosAdicionaisResponse")
    public List<ServicoAdicionalTO> pesquisarServicosAdicionais(
        @WebParam(name = "codigo", targetNamespace = "")
        String codigo);

    /**
     * 
     * @param senha
     * @param usuario
     * @return
     *     returns java.util.List<java.lang.String>
     * @throws SQLException_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaServicosXServicosAdicionais", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosXServicosAdicionais")
    @ResponseWrapper(localName = "buscaServicosXServicosAdicionaisResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosXServicosAdicionaisResponse")
    public List<String> buscaServicosXServicosAdicionais(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SQLException_Exception, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param tipo
     * @param idPostagem
     * @param codAdministrativo
     * @param usuario
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.RetornoCancelamento
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "cancelarPedidoScol", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CancelarPedidoScol")
    @ResponseWrapper(localName = "cancelarPedidoScolResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.CancelarPedidoScolResponse")
    public RetornoCancelamento cancelarPedidoScol(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        String codAdministrativo,
        @WebParam(name = "idPostagem", targetNamespace = "")
        String idPostagem,
        @WebParam(name = "tipo", targetNamespace = "")
        String tipo,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param tipoBloqueio
     * @param usuario
     * @param numeroEtiqueta
     * @param acao
     * @param idPlp
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "bloquearObjeto", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BloquearObjeto")
    @ResponseWrapper(localName = "bloquearObjetoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BloquearObjetoResponse")
    public String bloquearObjeto(
        @WebParam(name = "numeroEtiqueta", targetNamespace = "")
        String numeroEtiqueta,
        @WebParam(name = "idPlp", targetNamespace = "")
        Long idPlp,
        @WebParam(name = "tipoBloqueio", targetNamespace = "")
        TipoBloqueio tipoBloqueio,
        @WebParam(name = "acao", targetNamespace = "")
        Acao acao,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param numero
     * @param diretoria
     * @param usuario
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.ContratoERP
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaContrato", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaContrato")
    @ResponseWrapper(localName = "buscaContratoResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaContratoResponse")
    public ContratoERP buscaContrato(
        @WebParam(name = "numero", targetNamespace = "")
        String numero,
        @WebParam(name = "diretoria", targetNamespace = "")
        long diretoria,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param idServico
     * @param qtdEtiquetas
     * @param usuario
     * @param tipoDestinatario
     * @param identificador
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "solicitaEtiquetas", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaEtiquetas")
    @ResponseWrapper(localName = "solicitaEtiquetasResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaEtiquetasResponse")
    public String solicitaEtiquetas(
        @WebParam(name = "tipoDestinatario", targetNamespace = "")
        String tipoDestinatario,
        @WebParam(name = "identificador", targetNamespace = "")
        String identificador,
        @WebParam(name = "idServico", targetNamespace = "")
        Long idServico,
        @WebParam(name = "qtdEtiquetas", targetNamespace = "")
        Integer qtdEtiquetas,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param idPlpMaster
     * @param senha
     * @param usuario
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "solicitaXmlPlp", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaXmlPlp")
    @ResponseWrapper(localName = "solicitaXmlPlpResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitaXmlPlpResponse")
    public String solicitaXmlPlp(
        @WebParam(name = "idPlpMaster", targetNamespace = "")
        Long idPlpMaster,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param idCartaoPostagem
     * @param senha
     * @param codAdministrativo
     * @param codigoServico
     * @param cepDestinatario
     * @param usuario
     * @param coleta
     * @return
     *     returns java.lang.Boolean
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "validarPostagemReversa", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidarPostagemReversa")
    @ResponseWrapper(localName = "validarPostagemReversaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ValidarPostagemReversaResponse")
    public Boolean validarPostagemReversa(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        String codAdministrativo,
        @WebParam(name = "codigoServico", targetNamespace = "")
        String codigoServico,
        @WebParam(name = "cepDestinatario", targetNamespace = "")
        String cepDestinatario,
        @WebParam(name = "idCartaoPostagem", targetNamespace = "")
        String idCartaoPostagem,
        @WebParam(name = "coleta", targetNamespace = "")
        ColetaReversa coleta,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param idCartaoPostagem
     * @param senha
     * @param usuario
     * @param idContrato
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.ClienteERP
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaCliente", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaCliente")
    @ResponseWrapper(localName = "buscaClienteResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaClienteResponse")
    public ClienteERP buscaCliente(
        @WebParam(name = "idContrato", targetNamespace = "")
        String idContrato,
        @WebParam(name = "idCartaoPostagem", targetNamespace = "")
        String idCartaoPostagem,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param etiqueta
     * @param dataFim
     * @param contrato
     * @param usuario
     * @param dataInicio
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws ErroMontagemRelatorio_Exception
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaPagamentoEntrega", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaPagamentoEntrega")
    @ResponseWrapper(localName = "buscaPagamentoEntregaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaPagamentoEntregaResponse")
    public String buscaPagamentoEntrega(
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha,
        @WebParam(name = "contrato", targetNamespace = "")
        String contrato,
        @WebParam(name = "dataInicio", targetNamespace = "")
        String dataInicio,
        @WebParam(name = "dataFim", targetNamespace = "")
        String dataFim,
        @WebParam(name = "etiqueta", targetNamespace = "")
        String etiqueta)
        throws AutenticacaoException, ErroMontagemRelatorio_Exception, SigepClienteException
    ;

    /**
     * 
     * @param senha
     * @param codAdministrativo
     * @param xml
     * @param usuario
     * @return
     *     returns java.lang.String
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "solicitarPostagemScol", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitarPostagemScol")
    @ResponseWrapper(localName = "solicitarPostagemScolResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.SolicitarPostagemScolResponse")
    public String solicitarPostagemScol(
        @WebParam(name = "codAdministrativo", targetNamespace = "")
        Integer codAdministrativo,
        @WebParam(name = "xml", targetNamespace = "")
        String xml,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param idCartaoPostagem
     * @param senha
     * @param usuario
     * @param idContrato
     * @return
     *     returns java.util.List<com.fourcatsdev.correiosweb.servico.ServicoERP>
     * @throws AutenticacaoException
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaServicos", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicos")
    @ResponseWrapper(localName = "buscaServicosResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaServicosResponse")
    public List<ServicoERP> buscaServicos(
        @WebParam(name = "idContrato", targetNamespace = "")
        String idContrato,
        @WebParam(name = "idCartaoPostagem", targetNamespace = "")
        String idCartaoPostagem,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws AutenticacaoException, SigepClienteException
    ;

    /**
     * 
     * @param id
     * @return
     *     returns com.fourcatsdev.correiosweb.servico.MensagemParametrizadaTO
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "obterMensagemParametrizada", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterMensagemParametrizada")
    @ResponseWrapper(localName = "obterMensagemParametrizadaResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.ObterMensagemParametrizadaResponse")
    public MensagemParametrizadaTO obterMensagemParametrizada(
        @WebParam(name = "id", targetNamespace = "")
        Short id);

    /**
     * 
     * @param senha
     * @param listaObjetos
     * @param usuario
     * @param tipoResultado
     * @return
     *     returns java.lang.String
     * @throws SigepClienteException
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "buscaOpcoes", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaOpcoes")
    @ResponseWrapper(localName = "buscaOpcoesResponse", targetNamespace = "http://cliente.bean.master.sigep.bsb.correios.com.br/", className = "com.fourcatsdev.correiosweb.servico.BuscaOpcoesResponse")
    public String buscaOpcoes(
        @WebParam(name = "listaObjetos", targetNamespace = "")
        List<String> listaObjetos,
        @WebParam(name = "tipoResultado", targetNamespace = "")
        String tipoResultado,
        @WebParam(name = "usuario", targetNamespace = "")
        String usuario,
        @WebParam(name = "senha", targetNamespace = "")
        String senha)
        throws SigepClienteException
    ;

}
